Security enhancements to IP Vault and new Gemini 3.1 Flash Live STS model for Convo mode
curl --request POST \
--url https://pria.praxislxp.com/api/admin/ssoProvider \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"institution": "<string>",
"slug": "<string>",
"clientId": "<string>",
"clientSecret": "<string>",
"tokenHost": "<string>",
"userinfoUrl": "<string>",
"label": "<string>",
"enabled": true,
"tokenPath": "<string>",
"authorizePath": "<string>",
"scope": "<string>",
"fieldMapping": {
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>"
}
}
'{
"success": true,
"id": "<string>",
"message": "<string>"
}Creates a new SSO provider for an institution. One provider per institution.
curl --request POST \
--url https://pria.praxislxp.com/api/admin/ssoProvider \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"institution": "<string>",
"slug": "<string>",
"clientId": "<string>",
"clientSecret": "<string>",
"tokenHost": "<string>",
"userinfoUrl": "<string>",
"label": "<string>",
"enabled": true,
"tokenPath": "<string>",
"authorizePath": "<string>",
"scope": "<string>",
"fieldMapping": {
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>"
}
}
'{
"success": true,
"id": "<string>",
"message": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://docs.praxis-ai.com/llms.txt
Use this file to discover all available pages before exploring further.
JWT token passed in authorization header
Institution ID (immutable after creation)
URL slug (lowercase letters, numbers, hyphens only)
^[a-z0-9-]+$Show child attributes
Was this page helpful?